Bullet Collision Detection & Physics Library: Bullet::btContactSolverInfoDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btContactSolverInfoDoubleData Class Reference

`#include <bullet.h>`

## Public Attributes
double | m_tau
double | m_damping
double | m_friction
double | m_timeStep
double | m_restitution
double | m_maxErrorReduction
double | m_sor
double | m_erp
double | m_erp2
double | m_globalCfm
double | m_splitImpulsePenetrationThreshold
double | m_splitImpulseTurnErp
double | m_linearSlop
double | m_warmstartingFactor
double | m_articulatedWarmstartingFactor
double | m_maxGyroscopicForce
double | m_singleAxisRollingFrictionThreshold
int | m_numIterations
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
int | m_splitImpulse
char | m_padding [4]

## Detailed Description

Definition at line 708 of file bullet.h.

## Member Data Documentation

## ◆ m_articulatedWarmstartingFactor

double Bullet::btContactSolverInfoDoubleData::m_articulatedWarmstartingFactor

Definition at line 725 of file bullet.h.

## ◆ m_damping

double Bullet::btContactSolverInfoDoubleData::m_damping

Definition at line 712 of file bullet.h.

## ◆ m_erp

double Bullet::btContactSolverInfoDoubleData::m_erp

Definition at line 718 of file bullet.h.

## ◆ m_erp2

double Bullet::btContactSolverInfoDoubleData::m_erp2

Definition at line 719 of file bullet.h.

## ◆ m_friction

double Bullet::btContactSolverInfoDoubleData::m_friction

Definition at line 713 of file bullet.h.

## ◆ m_globalCfm

double Bullet::btContactSolverInfoDoubleData::m_globalCfm

Definition at line 720 of file bullet.h.

## ◆ m_linearSlop

double Bullet::btContactSolverInfoDoubleData::m_linearSlop

Definition at line 723 of file bullet.h.

## ◆ m_maxErrorReduction

double Bullet::btContactSolverInfoDoubleData::m_maxErrorReduction

Definition at line 716 of file bullet.h.

## ◆ m_maxGyroscopicForce

double Bullet::btContactSolverInfoDoubleData::m_maxGyroscopicForce

Definition at line 726 of file bullet.h.

## ◆ m_minimumSolverBatchSize

int Bullet::btContactSolverInfoDoubleData::m_minimumSolverBatchSize

Definition at line 731 of file bullet.h.

## ◆ m_numIterations

int Bullet::btContactSolverInfoDoubleData::m_numIterations

Definition at line 728 of file bullet.h.

## ◆ m_padding

char Bullet::btContactSolverInfoDoubleData::m_padding[4]

Definition at line 733 of file bullet.h.

## ◆ m_restingContactRestitutionThreshold

int Bullet::btContactSolverInfoDoubleData::m_restingContactRestitutionThreshold

Definition at line 730 of file bullet.h.

## ◆ m_restitution

double Bullet::btContactSolverInfoDoubleData::m_restitution

Definition at line 715 of file bullet.h.

## ◆ m_singleAxisRollingFrictionThreshold

double Bullet::btContactSolverInfoDoubleData::m_singleAxisRollingFrictionThreshold

Definition at line 727 of file bullet.h.

## ◆ m_solverMode

int Bullet::btContactSolverInfoDoubleData::m_solverMode

Definition at line 729 of file bullet.h.

## ◆ m_sor

double Bullet::btContactSolverInfoDoubleData::m_sor

Definition at line 717 of file bullet.h.

## ◆ m_splitImpulse

int Bullet::btContactSolverInfoDoubleData::m_splitImpulse

Definition at line 732 of file bullet.h.

## ◆ m_splitImpulsePenetrationThreshold

double Bullet::btContactSolverInfoDoubleData::m_splitImpulsePenetrationThreshold

Definition at line 721 of file bullet.h.

## ◆ m_splitImpulseTurnErp

double Bullet::btContactSolverInfoDoubleData::m_splitImpulseTurnErp

Definition at line 722 of file bullet.h.

## ◆ m_tau

double Bullet::btContactSolverInfoDoubleData::m_tau

Definition at line 711 of file bullet.h.

## ◆ m_timeStep

double Bullet::btContactSolverInfoDoubleData::m_timeStep

Definition at line 714 of file bullet.h.

## ◆ m_warmstartingFactor

double Bullet::btContactSolverInfoDoubleData::m_warmstartingFactor

Definition at line 724 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h